package com.extensibility.util.regexpr;

import java.util.Enumeration;
import java.util.Vector;

class MatchState {
   protected PatternTerm term;
   protected Vector next;

   MatchState(PatternTerm var1) {
      this.term = var1;
      this.next = new Vector();
   }

   PatternTerm getTerm() {
      return this.term;
   }

   void addNext(MatchState var1) {
      this.next.addElement(var1);
   }

   Enumeration nextStates() {
      return this.next.elements();
   }

   boolean isEnd() {
      return this.next.size() == 0;
   }
}
